Page MenuHomePhabricator

Post Varnish 5 migration cleanup
Closed, ResolvedPublic

Description

With the upgrade to Varnish 5 being completed (T168529), we now need to perform some post-upgrade cleanups (similarly to what we did in T150660 for the v3->v4 migration) including:

  • moving all v5 packages from experimental to main on apt.w.o
  • removing v4/v5 conditionals in VCL templating
  • getting rid of puppet conditionals based on profile::cache::base::varnish_version

Event Timeline

ema created this task.Feb 28 2018, 8:45 PM
Restricted Application added a project: Operations. · View Herald TranscriptFeb 28 2018, 8:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
ema triaged this task as Normal priority.Feb 28 2018, 8:45 PM
ema moved this task from Triage to Caching on the Traffic board.

Change 415814 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Drop use of experimental repository component for caches

https://gerrit.wikimedia.org/r/415814

Change 416652 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] varnish: cleanup after upgrade to v5

https://gerrit.wikimedia.org/r/416652

Change 419690 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Add a component for Varnish 5.1

https://gerrit.wikimedia.org/r/419690

Change 419690 abandoned by Muehlenhoff:
Add a component for Varnish 5.1

Reason:
After some dicussion, move to main

https://gerrit.wikimedia.org/r/419690

Mentioned in SAL (#wikimedia-operations) [2018-03-15T09:56:53Z] <ema> apt.w.o: move varnish=5.1.3-1wm3, varnish-modules=0.12.1-1+wmf1, libvmod-netmapper=1.6-1 from jessie-wikimedia/experimental to jessie-wikimedia/main T188545

Change 415814 merged by Muehlenhoff:
[operations/puppet@production] Drop use of experimental repository component for caches

https://gerrit.wikimedia.org/r/415814

Change 416652 merged by Ema:
[operations/puppet@production] varnish: cleanup after upgrade to v5

https://gerrit.wikimedia.org/r/416652

ema closed this task as Resolved.Apr 4 2018, 8:21 AM
ema claimed this task.

With https://gerrit.wikimedia.org/r/416652 being merged, this is done.